×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 24
  1. #1
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Failure in Configuring Nokia N900 with MADDE

    My aim is to compile my Qt for Windows application into N900, I follow the instruction listed in http://wiki.forum.nokia.com/index.ph...DDE_on_Windows to install the MADDE to my PC.

    Then when I configure the mobile with MADDE, I goto the Appliction Manager -> Download -> Development -> Mad-developer, it shows an error during download.

    But I can access Internet using the web browse in the mobile, any setting does I missing?
    Last edited by wktsang1; 2010-04-27 at 07:49.

  2. #2
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by wktsang1 View Post
    I goto the Appliction Manager -> Download -> Development -> Mad-developer, it shows an error during download.
    Which error does it show?

  3. #3
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    Try to open this link in your browser on your N900:
    http://repository.maemo.org/extras-d...eloper.install

  4. #4
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by divanov View Post
    Try to open this link in your browser on your N900:
    http://repository.maemo.org/extras-d...eloper.install
    Thank for your information, but is still gets failure.

    When I type this URL in the browser on my N900, it will switch to Application Manager screen and loading, then display an error:

    Unable to download 'mad-developer'
    Application package not found

    I have try do this process in my desktop, copy the download file 'mad-developer.install' to the mobile, and then execute it, but the same error message occur.

  5. #5
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by wktsang1 View Post
    Thank for your information, but is still gets failure.

    When I type this URL in the browser on my N900, it will switch to Application Manager screen and loading, then display an error:

    Unable to download 'mad-developer'
    Application package not found
    At the moment downloads.maemo.nokia.com is really slow for me. Try to install package directly:
    http://repository.maemo.org/extras-d...mad-developer/

    Quote Originally Posted by wktsang1 View Post
    I have try do this process in my desktop, copy the download file 'mad-developer.install' to the mobile, and then execute it, but the same error message occur.
    It makes no sense.
    Last edited by divanov; 2010-05-04 at 11:14.

  6. #6
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    What is the output of
    Code:
    cat /etc/apt/sources.list.d/hildon-application-manager.list
    on your device.

  7. #7
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by divanov View Post
    At the moment downloads.maemo.nokia.com is really slow for me. Try to install package directly:
    http://repository.maemo.org/extras-d...mad-developer/


    It makes no sense.
    When I access http://repository.maemo.org/extras-d...mad-developer/, download the file mad-developer_1.6.12_armel.deb and run it, it still shows the error

    Unable to install 'mad-developer'.
    Some application packages required for the installation are missing'

  8. #8
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by divanov View Post
    What is the output of
    Code:
    cat /etc/apt/sources.list.d/hildon-application-manager.list
    on your device.
    Here is the output in X Terminal

    ============
    deb https://downloads.maemo.nokia.com/fremantle/ssu/apps/ ./
    deb https://downloads.maemo.nokia.com/fremantle/ssu/mr0 ./
    deb https://downloads.maemo.nokia.com/fremantle1.2/ovi/ ./
    deb http://repository.maemo.org/extras/ fremantle-1.2 free non-free
    deb http://repository.maemo.org/extras-devel fremantle free non-free
    deb http://repository.maemo.org/extras-devel/ fremantle-1.2 free non-free
    ============

  9. #9
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    # dpkg -i mad-developer_1.6.12_armel.deb
    Selecting previously deselected package mad-developer.
    (Reading database ... 23764 files and directories currently installed.)
    Unpacking mad-developer (from mad-developer_1.6.12_armel.deb) ...
    dpkg: dependency problems prevent configuration of mad-developer:
    mad-developer depends on libfuse2 (>= 2.7.0); however:
    Package libfuse2 is not installed.
    mad-developer depends on fuse-utils (>= 2.7.0); however:
    Package fuse-utils is not installed.
    mad-developer depends on usb-network-modules (>= 0.2); however:
    Package usb-network-modules is not installed.
    dpkg: error processing mad-developer (--install):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    mad-developer

  10. #10
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by wktsang1 View Post
    Basically fremantle-1.2 doesn't exist on the server and it causes application manager to fail.
    Last edited by divanov; 2010-05-04 at 16:17. Reason: fixing a typo

  11. #11
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by divanov View Post
    Basically fremantle-1.2 doesn't exist on the server and it cause application manager to fail.
    Any way to solve this problem?

    I just want to compile my Qt for Windows application into N900, what can I do now?

  12. #12
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    I thought previous comment was explaining one of the possible solutions. You also need to install dependencies for mad-developer package:
    http://repository.maemo.org/extras-d...emo9_armel.deb
    http://repository.maemo.org/extras-d...emo9_armel.deb
    http://repository.maemo.org/extras-d..._0.2_armel.deb
    http://repository.maemo.org/extras-d...6.12_armel.deb

  13. #13
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by divanov View Post
    Sorry, I am newbie in maemo and need to ask the question so detail :<

    But it also returns failure when I download and install the following files.
    http://repository.maemo.org/extras-d...emo9_armel.deb
    http://repository.maemo.org/extras-d...emo9_armel.deb
    http://repository.maemo.org/extras-d..._0.2_armel.deb
    http://repository.maemo.org/extras-d...6.12_armel.deb[/

  14. #14
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Failure in Configuring Nokia N900 with MADDE

    Can you install rootsh to the N900?
    http://repository.maemo.org/extras/p..._1.5_armel.deb

  15. #15
    Regular Contributor
    Join Date
    Feb 2005
    Posts
    53

    Re: Failure in Configuring Nokia N900 with MADDE

    Quote Originally Posted by divanov View Post
    Can you install rootsh to the N900?
    http://repository.maemo.org/extras/p..._1.5_armel.deb
    Yes, I can install it without error.

Similar Threads

  1. Java Compability
    By emax73 in forum General Development Questions
    Replies: 0
    Last Post: 2004-07-12, 14:56
  2. Nokia Image Converter
    By davidpurdie in forum General Development Questions
    Replies: 0
    Last Post: 2004-02-18, 15:31

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×